Skip to main content

Update a subscription expiration date using the subscription ID

Updates a subscription expiration date using the specified subscription ID. You can use this endpoint to modify the subscription expiry date or update the subscription name for supported services.

HTTP method and endpoint

PATCH /license/subscriptions/{subscriptionId}

Token usage

NetApp Console service token.

Usage notes

Updates a subscription expiration date by using a specified subscription ID for services that support modification of the subscription expiry dates. Alternatively, you can update the subscription name of the services.

Note:
To update the expiration date, the expiration date and service name are mandatory, dwAudit is optional.
To update the subscription name, provide only the subscription name. Do not provide a value for dwAudit.

Parameters

Name Type In Required Description

subscriptionId

string

path

True

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

subscriptionType

string

True

expirationDate

integer

True

dwAudit

boolean

False

The NetApp Console audits, by default, all API calls.

NOTE:

  • To stop the NetApp Console from auditing a request, you can set the calling service to false.

  • dwAudit is an optional parameter, the default value is true.

Example request
{
  "subscriptionType": "string",
  "expirationDate": 0
}

Response

Status: 200, Success response

Response

Status: 4xx, Error response
Name Type Required Description

errorCode

string

False

Error code

error

string

False

Error code/category

message

string

False

Error description message

Example response
{
  "errorCode": "string",
  "error": "string",
  "message": "string"
}